package main

type Plugin interface {
	Type() string
	Parse(*Node) error
	Update(*Node) error
}

func PlugToProfile(p Plugin) *Profile {
	if p.Type() != "Profile" {
		return nil
	}
	return p.(*Profile)
}
